// IO1388TestDlg.h : header file
//

#if !defined(AFX_IO1388TESTDLG_H__B606F7A7_9382_11D4_8FF4_84C31F6ABA41__INCLUDED_)
#define AFX_IO1388TESTDLG_H__B606F7A7_9382_11D4_8FF4_84C31F6ABA41__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CIO1388TestDlg dialog

class CIO1388TestDlg : public CDialog
{
// Construction
public:
	CIO1388TestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CIO1388TestDlg)
	enum { IDD = IDD_IO1388TEST_DIALOG };
	CEdit	m_EditWerte;
	CListBox	m_Werte;
	CButton	m_Wdint;
	CButton	m_Value;
	CButton	m_Tmint;
	CButton	m_Running;
	CButton	m_Ioint;
	CButton	m_Fifoov;
	CButton	m_Stop;
	CButton	m_Start;
	CButton	m_FIFO;
	CButton	m_CheckWd;
	CButton	m_CheckTimer;
	CButton	m_CheckIO;
	CEdit	m_WriteWdValue;
	CEdit	m_WriteWdTimer;
	CEdit	m_WriteTimerStatus;
	CEdit	m_WriteOutputs;
	CEdit	m_WriteIntRise;
	CEdit	m_WriteIntFall;
	CEdit	m_ReadWdValue;
	CEdit	m_ReadWdTimer;
	CEdit	m_ReadTimerStatus;
	CEdit	m_ReadOutputs;
	CEdit	m_ReadIntRise;
	CEdit	m_ReadIntFall;
	CEdit	m_ReadInputs;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CIO1388TestDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	UINT32 m_AnzahlWerte;
	USHORT m_IrqStatus;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CIO1388TestDlg)
	afx_msg void OnSetintfall();
	afx_msg void OnSetintrise();
	afx_msg void OnSetoutputs();
	afx_msg void OnSettimerstatus();
	afx_msg void OnSetwdtimer();
	afx_msg void OnSetwdvalue();
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnButtonreset();
	afx_msg void OnButtonfifo();
	afx_msg void OnButtonstart();
	afx_msg void OnButtonstatus();
	afx_msg void OnButtonstop();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void UpdateFlags(void);
	bool m_FlagTimer;
	bool m_FlagWd;
	bool m_FlagIO;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IO1388TESTDLG_H__B606F7A7_9382_11D4_8FF4_84C31F6ABA41__INCLUDED_)
