// IO1388TestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "IO1388Test.h"
#include "IO1388TestDlg.h"
#include "IO1388.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#define TESTCARD 0

/////////////////////////////////////////////////////////////////////////////
// CIO1388TestDlg dialog


CIO1388TestDlg::CIO1388TestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CIO1388TestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CIO1388TestDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CIO1388TestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CIO1388TestDlg)
	DDX_Control(pDX, IDC_EDITWERTE, m_EditWerte);
	DDX_Control(pDX, IDC_LISTWERTE, m_Werte);
	DDX_Control(pDX, IDC_CHECKWDINT, m_Wdint);
	DDX_Control(pDX, IDC_CHECKVALUE, m_Value);
	DDX_Control(pDX, IDC_CHECKTMINT, m_Tmint);
	DDX_Control(pDX, IDC_CHECKRUNNING, m_Running);
	DDX_Control(pDX, IDC_CHECKIOINT, m_Ioint);
	DDX_Control(pDX, IDC_CHECKFIFOOV, m_Fifoov);
	DDX_Control(pDX, IDC_BUTTONSTOP, m_Stop);
	DDX_Control(pDX, IDC_BUTTONSTART, m_Start);
	DDX_Control(pDX, IDC_BUTTONFIFO, m_FIFO);
	DDX_Control(pDX, IDC_CHECKWD, m_CheckWd);
	DDX_Control(pDX, IDC_CHECKTIMER, m_CheckTimer);
	DDX_Control(pDX, IDC_CHECKIO, m_CheckIO);
	DDX_Control(pDX, IDC_WRITEWDVALUE, m_WriteWdValue);
	DDX_Control(pDX, IDC_WRITEWDTIMER, m_WriteWdTimer);
	DDX_Control(pDX, IDC_WRITETIMERSTATUS, m_WriteTimerStatus);
	DDX_Control(pDX, IDC_WRITEOUTPUTS, m_WriteOutputs);
	DDX_Control(pDX, IDC_WRITEINTRISE, m_WriteIntRise);
	DDX_Control(pDX, IDC_WRITEINTFALL, m_WriteIntFall);
	DDX_Control(pDX, IDC_READWDVALUE, m_ReadWdValue);
	DDX_Control(pDX, IDC_READWDTIMER, m_ReadWdTimer);
	DDX_Control(pDX, IDC_READTIMERSTATUS, m_ReadTimerStatus);
	DDX_Control(pDX, IDC_READOUTPUTS, m_ReadOutputs);
	DDX_Control(pDX, IDC_READINTRISE, m_ReadIntRise);
	DDX_Control(pDX, IDC_READINTFALL, m_ReadIntFall);
	DDX_Control(pDX, IDC_READINPUTS, m_ReadInputs);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CIO1388TestDlg, CDialog)
	//{{AFX_MSG_MAP(CIO1388TestDlg)
	ON_BN_CLICKED(IDC_SETINTFALL, OnSetintfall)
	ON_BN_CLICKED(IDC_SETINTRISE, OnSetintrise)
	ON_BN_CLICKED(IDC_SETOUTPUTS, OnSetoutputs)
	ON_BN_CLICKED(IDC_SETTIMERSTATUS, OnSettimerstatus)
	ON_BN_CLICKED(IDC_SETWDTIMER, OnSetwdtimer)
	ON_BN_CLICKED(IDC_SETWDVALUE, OnSetwdvalue)
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_BUTTONRESET, OnButtonreset)
	ON_BN_CLICKED(IDC_BUTTONFIFO, OnButtonfifo)
	ON_BN_CLICKED(IDC_BUTTONSTART, OnButtonstart)
	ON_BN_CLICKED(IDC_BUTTONSTATUS, OnButtonstatus)
	ON_BN_CLICKED(IDC_BUTTONSTOP, OnButtonstop)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CIO1388TestDlg message handlers
/////////////////////////////////////////////////////////////////////////////


void CIO1388TestDlg::OnSetintfall() 
{
  unsigned char x,y,c;
  unsigned long value;
  CString String;
	// String holen
	m_WriteIntFall.GetWindowText(String);
  String.MakeUpper();
  x = String.GetLength();
  value = 0;
  if (x > 0)
  {
    for (y = 0; y < x; y++)
    {
      value = value << 4;
      c = String.GetAt(y);
      switch (c)
      {
      case '0':
      case '1':
      case '2':
      case '3':
      case '4':
      case '5':
      case '6':
      case '7':
      case '8':
      case '9':
        {
          c = c - '0';
          break;
        }
      case 'A':
      case 'B':
      case 'C':
      case 'D':
      case 'E':
      case 'F':
        {
          c = c - 'A' + 10;
          break;
        }
      }
      value |= c;
    }
  }
  IO1388_WriteIntFall(TESTCARD,value);
  String.Format("%08lX",value);
  m_WriteIntFall.SetWindowText(String);
}

void CIO1388TestDlg::OnSetintrise() 
{
  unsigned char x,y,c;
  unsigned long value;
  CString String;
	// String holen
	m_WriteIntRise.GetWindowText(String);
  String.MakeUpper();
  x = String.GetLength();
  value = 0;
  if (x > 0)
  {
    for (y = 0; y < x; y++)
    {
      value = value << 4;
      c = String.GetAt(y);
      switch (c)
      {
      case '0':
      case '1':
      case '2':
      case '3':
      case '4':
      case '5':
      case '6':
      case '7':
      case '8':
      case '9':
        {
          c = c - '0';
          break;
        }
      case 'A':
      case 'B':
      case 'C':
      case 'D':
      case 'E':
      case 'F':
        {
          c = c - 'A' + 10;
          break;
        }
      }
      value |= c;
    }
  }
  IO1388_WriteIntRise(TESTCARD,value);
  String.Format("%08lX",value);
  m_WriteIntRise.SetWindowText(String);
}

void CIO1388TestDlg::OnSetoutputs() 
{
  unsigned char x,y,c;
  unsigned long value;
  CString String;
	// String holen
	m_WriteOutputs.GetWindowText(String);
  String.MakeUpper();
  x = String.GetLength();
  value = 0;
  if (x > 0)
  {
    for (y = 0; y < x; y++)
    {
      value = value << 4;
      c = String.GetAt(y);
      switch (c)
      {
      case '0':
      case '1':
      case '2':
      case '3':
      case '4':
      case '5':
      case '6':
      case '7':
      case '8':
      case '9':
        {
          c = c - '0';
          break;
        }
      case 'A':
      case 'B':
      case 'C':
      case 'D':
      case 'E':
      case 'F':
        {
          c = c - 'A' + 10;
          break;
        }
      }
      value |= c;
    }
  }
  IO1388_WriteOutputs(TESTCARD,value);
  String.Format("%08lX",value);
  m_WriteOutputs.SetWindowText(String);
}

void CIO1388TestDlg::OnSettimerstatus() 
{
  unsigned char x,y,c;
  unsigned long value;
  CString String;
	// String holen
	m_WriteTimerStatus.GetWindowText(String);
  String.MakeUpper();
  x = String.GetLength();
  value = 0;
  if (x > 0)
  {
    for (y = 0; y < x; y++)
    {
      value = value << 4;
      c = String.GetAt(y);
      switch (c)
      {
      case '0':
      case '1':
      case '2':
      case '3':
      case '4':
      case '5':
      case '6':
      case '7':
      case '8':
      case '9':
        {
          c = c - '0';
          break;
        }
      case 'A':
      case 'B':
      case 'C':
      case 'D':
      case 'E':
      case 'F':
        {
          c = c - 'A' + 10;
          break;
        }
      }
      value |= c;
    }
  }
  IO1388_WriteTimerStatus(TESTCARD,value);
  String.Format("%08lX",value);
  m_WriteTimerStatus.SetWindowText(String);
}

void CIO1388TestDlg::OnSetwdtimer() 
{
  unsigned char x,y,c;
  unsigned long value;
  CString String;
	// String holen
	m_WriteWdTimer.GetWindowText(String);
  String.MakeUpper();
  x = String.GetLength();
  value = 0;
  if (x > 0)
  {
    for (y = 0; y < x; y++)
    {
      value = value << 4;
      c = String.GetAt(y);
      switch (c)
      {
      case '0':
      case '1':
      case '2':
      case '3':
      case '4':
      case '5':
      case '6':
      case '7':
      case '8':
      case '9':
        {
          c = c - '0';
          break;
        }
      case 'A':
      case 'B':
      case 'C':
      case 'D':
      case 'E':
      case 'F':
        {
          c = c - 'A' + 10;
          break;
        }
      }
      value |= c;
    }
  }
  IO1388_WriteWdTimer(TESTCARD,value);
  String.Format("%08lX",value);
  m_WriteWdTimer.SetWindowText(String);
}

void CIO1388TestDlg::OnSetwdvalue() 
{
  unsigned char x,y,c;
  unsigned long value;
  CString String;
	// String holen
	m_WriteWdValue.GetWindowText(String);
  String.MakeUpper();
  x = String.GetLength();
  value = 0;
  if (x > 0)
  {
    for (y = 0; y < x; y++)
    {
      value = value << 4;
      c = String.GetAt(y);
      switch (c)
      {
      case '0':
      case '1':
      case '2':
      case '3':
      case '4':
      case '5':
      case '6':
      case '7':
      case '8':
      case '9':
        {
          c = c - '0';
          break;
        }
      case 'A':
      case 'B':
      case 'C':
      case 'D':
      case 'E':
      case 'F':
        {
          c = c - 'A' + 10;
          break;
        }
      }
      value |= c;
    }
  }
  IO1388_WriteWdValue(TESTCARD,value);
  String.Format("%08lX",value);
  m_WriteWdValue.SetWindowText(String);
}

BOOL CIO1388TestDlg::OnInitDialog() 
{
  unsigned long x;
  CString String;
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
  m_FlagIO = FALSE;
  m_FlagWd = FALSE;
  m_FlagTimer = FALSE;
	m_IrqStatus = 0;
	m_AnzahlWerte = 0;
	IO1388_InitDriver();
	IO1388_GetCardNumber(TESTCARD,&x);
  // Ausgnge aktualisieren
  IO1388_ReadOutputs(TESTCARD,&x);
	String.Format("%08lX",x);
  m_WriteOutputs.SetWindowText(String);
  // IntRise aktualisieren
  IO1388_ReadIntRise(TESTCARD,&x);
	String.Format("%08lX",x);
  m_WriteIntRise.SetWindowText(String);
  // IntFall aktualisieren
  IO1388_ReadIntFall(TESTCARD,&x);
	String.Format("%08lX",x);
  m_WriteIntFall.SetWindowText(String);
  // Timer/Status aktualisieren
  IO1388_ReadTimerStatus(TESTCARD,&x);
	String.Format("%08lX",x);
  m_WriteTimerStatus.SetWindowText(String);
  // WdTimer aktualisieren
  IO1388_ReadWdTimer(TESTCARD,&x);
	String.Format("%08lX",x);
  m_WriteWdTimer.SetWindowText(String);
  // WdValue aktualisieren
  IO1388_ReadWdValue(TESTCARD,&x);
	String.Format("%08lX",x);
  m_WriteWdValue.SetWindowText(String);
	SetTimer(0,100,NULL);
  //UpdateDialog();
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CIO1388TestDlg::OnTimer(UINT nIDEvent) 
{
	ULONG buffer[8096];
	ULONG  n;
  unsigned long x;
	unsigned long z;
  CString String;

	// Alle Anzeigen aktualisieren
  // Timer/Status aktualisieren
  IO1388_ReadTimerStatus(TESTCARD,&x);
//	x = 0;
	String.Format("%08lX",x);
  m_ReadTimerStatus.SetWindowText(String);
  // Flags setzen
  // IO-Flag
  if ((x & 0x02000000) != 0)
    m_FlagIO = TRUE;
  // Timer-Flag
  if ((x & 0x08000000) != 0)
    m_FlagTimer = TRUE;
  // Watchdog-Flag
  if ((x & 0x04000000) != 0)
    m_FlagWd = TRUE;
  UpdateFlags();
  // Ausgnge aktualisieren
  IO1388_ReadOutputs(TESTCARD,&x);
	String.Format("%08lX",x);
  m_ReadOutputs.SetWindowText(String);
  // Eingnge aktualisieren
  IO1388_ReadInputs(TESTCARD,&x);
	String.Format("%08lX",x);
  m_ReadInputs.SetWindowText(String);
  // IntRise aktualisieren
  IO1388_ReadIntRise(TESTCARD,&x);
	String.Format("%08lX",x);
  m_ReadIntRise.SetWindowText(String);
  // IntFall aktualisieren
  IO1388_ReadIntFall(TESTCARD,&x);
	String.Format("%08lX",x);
  m_ReadIntFall.SetWindowText(String);
  // WdTimer aktualisieren
  IO1388_ReadWdTimer(TESTCARD,&x);
	String.Format("%08lX",x);
  m_ReadWdTimer.SetWindowText(String);
  // WdValue aktualisieren
  IO1388_ReadWdValue(TESTCARD,&x);
	String.Format("%08lX",x);
  m_ReadWdValue.SetWindowText(String);

	// IRQ gestartet?
	IO1388_GetIRQStatus(TESTCARD,&x);
	// im Status sichern (Ohne running)
	m_IrqStatus |= x & (0xFFFFFFFF ^ IO1388_RUNNING);
	// Start und Stop freigeben/sperren
	if (( x & IO1388_RUNNING) != 0)
	{
		m_Start.EnableWindow(FALSE);
		m_Stop.EnableWindow(TRUE);
		m_Running.SetCheck(TRUE);
	}
	else
	{
		m_Start.EnableWindow(TRUE);
		m_Stop.EnableWindow(FALSE);
		m_Running.SetCheck(FALSE);
	}
	// Status setzen
  if ((m_IrqStatus & IO1388_IOINT) != 0)
		m_Ioint.SetCheck(TRUE);
	else
		m_Ioint.SetCheck(FALSE);
  if ((m_IrqStatus & IO1388_TMINT) != 0)
		m_Tmint.SetCheck(TRUE);
	else
		m_Tmint.SetCheck(FALSE);
	if ((m_IrqStatus & IO1388_WDINT) != 0)
		m_Wdint.SetCheck(TRUE);
	else
		m_Wdint.SetCheck(FALSE);
	if ((m_IrqStatus & IO1388_VALUE) != 0)
		m_Value.SetCheck(TRUE);
	else
		m_Value.SetCheck(FALSE);
	if ((m_IrqStatus & IO1388_FIFOOV) != 0)
		m_Fifoov.SetCheck(TRUE);
	else
		m_Fifoov.SetCheck(FALSE);
	// Werte vorhanden
	if ((x & IO1388_VALUE) != 0)
	{
		// Werte holen
		IO1388_GetIRQInputs(TESTCARD,(long(*)[])&buffer,(sizeof(buffer)/sizeof(long)),&n);
		if (n != 0)
		{
			m_AnzahlWerte += n;
			m_Werte.ResetContent();
			if (n >= 10)
			{
				for (z = n-1; z < n-10; z--)
				{
					String.Format("%ld",buffer[z]);
					m_Werte.AddString(String);
				}
			}
			if (n < 10)
			{
				switch (n)
				{
				case 9: 
					{
					String.Format("%ld",buffer[8]);
					m_Werte.AddString(String);
					}
				case 8: 
					{
					String.Format("%ld",buffer[7]);
					m_Werte.AddString(String);
					}
				case 7: 
					{
					String.Format("%ld",buffer[6]);
					m_Werte.AddString(String);
					}
				case 6: 
					{
					String.Format("%ld",buffer[5]);
					m_Werte.AddString(String);
					}
				case 5: 
					{
					String.Format("%ld",buffer[4]);
					m_Werte.AddString(String);
					}
				case 4: 
					{
					String.Format("%ld",buffer[3]);
					m_Werte.AddString(String);
					}
				case 3: 
					{
					String.Format("%ld",buffer[2]);
					m_Werte.AddString(String);
					}
				case 2: 
					{
					String.Format("%ld",buffer[1]);
					m_Werte.AddString(String);
					}
				case 1: 
					{
					String.Format("%ld",buffer[0]);
					m_Werte.AddString(String);
					}
				}
			}
		}
	}
  String.Format("%ld",m_AnzahlWerte);
	m_EditWerte.SetWindowText(String);
  // Und weiter
	CDialog::OnTimer(nIDEvent);
}

BOOL CIO1388TestDlg::DestroyWindow() 
{
	// TODO: Add your specialized code here and/or call the base class
  KillTimer(0);
	IO1388_StopIRQ(TESTCARD);
	IO1388_DeInitDriver();
	return CDialog::DestroyWindow();
}

void CIO1388TestDlg::OnButtonreset() 
{
	// Flags Rcksetzen
  m_FlagIO    = FALSE;
  m_FlagWd    = FALSE;
  m_FlagTimer = FALSE;
  // Anzeige rcksetzen
	UpdateFlags();
}

void CIO1388TestDlg::UpdateFlags()
{
  // IO-Flag setzen
  if (m_FlagIO)
    m_CheckIO.SetCheck(1);
  else
    m_CheckIO.SetCheck(0);
  // Timer-Flag setzen
  if (m_FlagTimer)
    m_CheckTimer.SetCheck(1);
  else
    m_CheckTimer.SetCheck(0);
  // Watchdog-Flag setzen
  if (m_FlagWd)
    m_CheckWd.SetCheck(1);
  else
    m_CheckWd.SetCheck(0);
}

void CIO1388TestDlg::OnButtonfifo() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen
	m_Werte.ResetContent();
}

void CIO1388TestDlg::OnButtonstart() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen
	m_AnzahlWerte = 0;
	IO1388_StartIRQ(TESTCARD);
}

void CIO1388TestDlg::OnButtonstatus() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen
	m_IrqStatus = 0;
}

void CIO1388TestDlg::OnButtonstop() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen
	IO1388_StopIRQ(TESTCARD);
}
